Bug 1741633 - Invalid dynamic field causes service dialog to not be save-able
Summary: Invalid dynamic field causes service dialog to not be save-able
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: GA
: 5.11.8
Assignee: Milan Zázrivec
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-15 16:24 UTC by Daniel Trieu
Modified: 2020-09-30 14:01 UTC (History)
8 users (show)

Fixed In Version: 5.11.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 14:01:06 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
simaishi: cfme-5.11.z+


Attachments (Terms of Use)

Description Daniel Trieu 2019-08-15 16:24:38 UTC
Description of problem:
When editing a service dialog, if you add a dynamic field without an entry point, it will allow you to save that field detail without an error notification. However, the service dialog save button remains grayed out.

When you update the dynamic field to include an entry point, the service dialog save button turns active.

Version-Release number of selected component (if applicable):


How reproducible:
Consistently, easily.

Steps to Reproduce:
1. Add a dynamic field to a service dialog without an entry point and note that there is nothing preventing the save.
2. Note that the service dialog does not allow a save now.
3. Update the same dynamic field with an entry point.
4. Note that the service dialog does allow a save now.

Actual results:
Dynamic field saves without issue, but the service dialog cannot be saved. If a user does not notice and continues further, he may be force to forfeit a lot of work.

Expected results:
Dynamic field should prevent the save and note that something is wrong with this specific field configuration.

Additional info:

Comment 5 Milan Zázrivec 2020-06-25 14:41:22 UTC
https://github.com/ManageIQ/ui-components/pull/443

Comment 6 CFME Bot 2020-06-30 17:26:25 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/446dc3108958055bd33501af7192b004385e36a5
commit 446dc3108958055bd33501af7192b004385e36a5
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jun 25 12:37:31 2020 +0000
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Jun 25 14:29:46 2020 +0000

    Add support for local validation of box, tab and field

    https://bugzilla.redhat.com/show_bug.cgi?id=1741633

 src/dialog-editor/components/abstractModal.ts | 2 +
 src/dialog-editor/components/modal-box/box.html | 3 +-
 src/dialog-editor/components/modal-box/modalBoxComponent.ts | 12 +-
 src/dialog-editor/components/modal-field/field.html | 3 +-
 src/dialog-editor/components/modal-field/modalFieldComponent.ts | 5 +
 src/dialog-editor/components/modal-tab/modalTabComponent.ts | 12 +-
 src/dialog-editor/components/modal-tab/tab.html | 3 +-
 src/dialog-editor/components/modal/modalComponent.ts | 12 +-
 src/dialog-editor/services/dialogValidationService.ts | 101 +-
 9 files changed, 106 insertions(+), 47 deletions(-)

Comment 7 CFME Bot 2020-08-20 13:06:33 UTC
New commit detected on ManageIQ/ui-components/ivanchuk:

https://github.com/ManageIQ/ui-components/commit/4fbdf306e09958a8dbf1a662b3453fd6a18f193f
commit 4fbdf306e09958a8dbf1a662b3453fd6a18f193f
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Tue Jun 30 17:21:57 2020 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 20 12:32:31 2020 +0000

    Merge pull request #443 from mzazrivec/add_support_for_local_validation_of_box_tab_and_field

    Add support for local validation of box, tab and field

    (cherry picked from commit 334a9ea4ef5124e4b9c0c35ec1f9b2703bcd0b33)

    https://bugzilla.redhat.com/show_bug.cgi?id=1741633

 src/dialog-editor/components/abstractModal.ts | 2 +
 src/dialog-editor/components/modal-box/box.html | 3 +-
 src/dialog-editor/components/modal-box/modalBoxComponent.ts | 12 +-
 src/dialog-editor/components/modal-field/field.html | 3 +-
 src/dialog-editor/components/modal-field/modalFieldComponent.ts | 5 +
 src/dialog-editor/components/modal-tab/modalTabComponent.ts | 12 +-
 src/dialog-editor/components/modal-tab/tab.html | 3 +-
 src/dialog-editor/components/modal/modalComponent.ts | 12 +-
 src/dialog-editor/services/dialogValidationService.ts | 101 +-
 9 files changed, 106 insertions(+), 47 deletions(-)

Comment 8 Niyaz Akhtar Ansari 2020-09-10 07:27:31 UTC
Verified in Version 5.11.8.0.20200908214813_b3cc53d

Comment 13 errata-xmlrpc 2020-09-30 14:01:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: CloudForms 5.0.8 security, bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4134


Note You need to log in before you can comment on or make changes to this bug.